OpenTTD Source: Kdtree< T, TxyFunc, CoordT, DistT >::node Struct Reference

OpenTTD Source 15.0-RC2

Public Member Functions | Data Fields
Kdtree< T, TxyFunc, CoordT, DistT >::node Struct Reference

Type of a node in the tree. More...

## Public Member Functions
| node (T element)

## Data Fields
T | element
| Element stored at node.
size_t | left
| Index of node to the left, INVALID_NODE if none.
size_t | right
| Index of node to the right, INVALID_NODE if none.

## Detailed Description

template<typename T, typename TxyFunc, typename CoordT, typename DistT>
struct Kdtree< T, TxyFunc, CoordT, DistT >::node

Type of a node in the tree.

Definition at line 35 of file kdtree.hpp.

## Constructor & Destructor Documentation

## ◆ node()

template<typename T , typename TxyFunc , typename CoordT , typename DistT >

Kdtree< T, TxyFunc, CoordT, DistT >::node::node | ( | T | element | ) |
| inline

Definition at line 40 of file kdtree.hpp.

## Field Documentation

## ◆ element

template<typename T , typename TxyFunc , typename CoordT , typename DistT >

T Kdtree< T, TxyFunc, CoordT, DistT >::node::element

Element stored at node.

Definition at line 36 of file kdtree.hpp.

Referenced by Kdtree< T, TxyFunc, CoordT, DistT >::CheckInvariant(), Kdtree< T, TxyFunc, CoordT, DistT >::CountValue(), Kdtree< T, TxyFunc, CoordT, DistT >::FindNearestRecursive(), Kdtree< T, TxyFunc, CoordT, DistT >::FreeSubtree(), Kdtree< T, TxyFunc, CoordT, DistT >::InsertRecursive(), and Kdtree< T, TxyFunc, CoordT, DistT >::RemoveRecursive().

## ◆ left

template<typename T , typename TxyFunc , typename CoordT , typename DistT >

size_t Kdtree< T, TxyFunc, CoordT, DistT >::node::left

Index of node to the left, INVALID_NODE if none.

Definition at line 37 of file kdtree.hpp.

Referenced by Kdtree< T, TxyFunc, CoordT, DistT >::CheckInvariant(), Kdtree< T, TxyFunc, CoordT, DistT >::CountValue(), Kdtree< T, TxyFunc, CoordT, DistT >::FindNearestRecursive(), Kdtree< T, TxyFunc, CoordT, DistT >::FreeSubtree(), Kdtree< T, TxyFunc, CoordT, DistT >::InsertRecursive(), and Kdtree< T, TxyFunc, CoordT, DistT >::RemoveRecursive().

## ◆ right

template<typename T , typename TxyFunc , typename CoordT , typename DistT >

size_t Kdtree< T, TxyFunc, CoordT, DistT >::node::right

Index of node to the right, INVALID_NODE if none.

Definition at line 38 of file kdtree.hpp.

Referenced by Kdtree< T, TxyFunc, CoordT, DistT >::CheckInvariant(), Kdtree< T, TxyFunc, CoordT, DistT >::CountValue(), Kdtree< T, TxyFunc, CoordT, DistT >::FindNearestRecursive(), Kdtree< T, TxyFunc, CoordT, DistT >::FreeSubtree(), Kdtree< T, TxyFunc, CoordT, DistT >::InsertRecursive(), and Kdtree< T, TxyFunc, CoordT, DistT >::RemoveRecursive().

The documentation for this struct was generated from the following file:

- src/core/kdtree.hpp